User Unblocking Operation
curl --request GET \
--url https://api.iklim.co/v1/users/unblock/{userId}import requests
url = "https://api.iklim.co/v1/users/unblock/{userId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.iklim.co/v1/users/unblock/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "8e94a551-5b86-40ba-ae55-b019dee5cc25",
"username": "name@domain.com",
"firstName": "John",
"lastName": "Doe",
"locale": "tr_TR",
"timezone": "Europe/Istanbul",
"roles": "API_USER",
"status": "INACTIVE",
"midName": "Bob",
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "INDIVIDUAL",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"mobilePhoneNumber": "<string>",
"location": "<string>",
"company": "<string>",
"industry": "<string>",
"profilePictureUrl": "<string>",
"subscriptionPlan": "NONE",
"emailVerified": true,
"mobilePhoneNumberVerified": true
}
}User Unblocking Operation
Can only be used by users with the ADMIN role. A user who exceeds the number of unauthorized login attempts in the form of a brute-force attack is permanently blocked. This is the operation used to remove this block.
GET
/
v1
/
users
/
unblock
/
{userId}
User Unblocking Operation
Path Parameters
Response
Successful User Unblocking
ID Number of Registered User
Example:
"8e94a551-5b86-40ba-ae55-b019dee5cc25"
Registered User Name
Example:
"name@domain.com"
Registered User First Name
Example:
"John"
Registered User Last Name
Example:
"Doe"
Registered User Locale
Example:
"tr_TR"
Registered User Time Zone Id
Example:
"Europe/Istanbul"
Registered User Roles
{msg:swagger.schema.auth.register-response.roles}
Available options:
GUEST, API_USER, STANDARD_USER, POWER_USER, EXTENDED_USER, ADMIN Example:
"API_USER"
Registered User Status
Available options:
INACTIVE, ACTIVE, EXPIRED, BLOCKED, DELETED Example:
"INACTIVE"
Registered User Mid Name
Example:
"Bob"
Show child attributes
Show child attributes